### Enumeration

# FwupdPlugin ArchiveCompression

since: 1.0

#### Declaration

    enum FwupdPlugin.ArchiveCompression

#### Description

No description available.

Available since: 1.0

#### Members

`FU_ARCHIVE_COMPRESSION_UNKNOWN`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_NONE`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_GZIP`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_BZIP2`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_COMPRESS`
  No description available.
  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_LZMA`
  No description available.
  - Value: `5`
  - Nickname: `None`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_XZ`
  No description available.
  - Value: `6`
  - Nickname: `None`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_UU`
  No description available.
  - Value: `7`
  - Nickname: `None`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_LZIP`
  No description available.
  - Value: `8`
  - Nickname: `None`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_LRZIP`
  No description available.
  - Value: `9`
  - Nickname: `None`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_LZOP`
  No description available.
  - Value: `10`
  - Nickname: `None`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_GRZIP`
  No description available.
  - Value: `11`
  - Nickname: `None`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_LZ4`
  No description available.
  - Value: `12`
  - Nickname: `None`
  - Available since: 1.0
`FU_ARCHIVE_COMPRESSION_ZSTD`
  No description available.
  - Value: `13`
  - Nickname: `None`
  - Available since: 1.0